import { Action, AdaptiveCard, CarouselEvent } from "adaptivecards";
import { IWidgetInstanceInternal } from "../../widgetRuntime/orchestrator/IWidgetInstanceInternal";
import { WidgetAdaptiveCard } from "../../widgetRuntime/orchestrator/orchestrator.types";
export declare type CardElementClick = "InputElementClick" | "UrlClick";
export declare type ParseFailureType = "cardPayload" | "data" | "expandCardTemplate" | "none" | "template" | "updateHostContext" | "unknownException";
export declare type ErrorType = "cardFromPlatformUndefined" | "cardPayloadUndefined" | "checkAppVersionError" | "exceptionThrown" | "criticalValidationFailure" | "parsePayloadFailure" | "cardUndefined" | "cardCreationError" | "cardDivUndefined" | "invalidInstance" | "none";
export declare function getHTMLElementFromCard(card: AdaptiveCard, instance: IWidgetInstanceInternal, height: string, width: string): Promise<HTMLElement | undefined>;
export declare function getVisualThemeString(): Promise<string>;
export declare function isDarkTheme(): Promise<boolean>;
export declare function sentWidgetInteractionTelemetry(instance: IWidgetInstanceInternal, action: string): void;
export declare function sendWebXTCardActionTelemetry(instance: IWidgetInstanceInternal, actionId: string | undefined, isNav: boolean): void;
export declare function onACAction(instance: IWidgetInstanceInternal, action: Action | CarouselEvent): Promise<void>;
export declare function notifyWidgetProvider(widgetInstance: IWidgetInstanceInternal, data?: object): Promise<void>;
export declare function createAdaptiveCard(instance: IWidgetInstanceInternal, widgetAdaptiveCard: WidgetAdaptiveCard): [AdaptiveCard | undefined, ErrorType];
export declare function logParseFailure(instance: any, e: any, reason: ParseFailureType): void;
